Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Class PolylineConnectionEx.JumpLinkSet

    java.lang.Object
      org.eclipse.gmf.runtime.draw2d.ui.figures.PolylineConnectionEx.JumpLinkSet

Enclosing class:
  PolylineConnectionEx

protected class PolylineConnectionEx.JumpLinkSet
extends java.lang.Object

Inner class for storing the set of JumpLink's associated with the polyline connection.

Constructor Summary
`PolylineConnectionEx.JumpLinkSet()` Default constructor

Method Summary
`protected void` `cleanJumpLinks(Connection connect)` Sets the dirty flag back to false and notifies the connection layer that it has been cleaned.
`void` `dirtyJumpLinks()` Sets the jump links set as being dirty so that they will be regenerated again at display time.
`boolean` `isDirty()` Determines if the jump links need to be regenerated.
`boolean` `regenerateJumpLinks(Connection connect)` Regenerates the jump links again according to the current arrangement of connections on the diagram.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolylineConnectionEx.JumpLinkSet

    public PolylineConnectionEx.JumpLinkSet()

  Default constructor

Method Detail

### isDirty

    public boolean isDirty()

  Determines if the jump links need to be regenerated.

  Returns:
    `boolean` `true` if jump links need to be regenerated, `false` otherwise.

### cleanJumpLinks

    protected void cleanJumpLinks(Connection connect)

  Sets the dirty flag back to false and notifies the connection layer that it has been cleaned.

  Parameters:
    `connect` - `Connection` whose jump links need to be regenerated.

### dirtyJumpLinks

    public void dirtyJumpLinks()

  Sets the jump links set as being dirty so that they will be regenerated again at display time.

### regenerateJumpLinks

    public boolean regenerateJumpLinks(Connection connect)

  Regenerates the jump links again according to the current arrangement of connections on the diagram.

  Parameters:
    `connect` - `Connection` whose jump links need to be regenerated.
  Returns:
    `boolean` `true` if jump links were regenerated, `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.